# TestLogEvent

enum TestLogEvent

Test events that can be logged.

## Entries

STARTED
Link copied to clipboard
STARTED

A test has started. This event gets fired both for atomic and composite tests.

PASSED
Link copied to clipboard
PASSED

A test has completed successfully. This event gets fired both for atomic and composite tests.

SKIPPED
Link copied to clipboard
SKIPPED

A test has been skipped. This event gets fired both for atomic and composite tests.

FAILED
Link copied to clipboard
FAILED

A test has failed. This event gets fired both for atomic and composite tests.

STANDARD_OUT
Link copied to clipboard
STANDARD_OUT

A test has written a message to standard out.

STANDARD_ERROR
Link copied to clipboard
STANDARD_ERROR

A test has written a message to standard error.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): TestLogEvent

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<TestLogEvent>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.